com.amazon.redshift.core

## Class SetupQueryRunner

- java.lang.Object
- - com.amazon.redshift.core.SetupQueryRunner

    public class SetupQueryRunner
    extends Object

Poor man's Statement & ResultSet, used for initial queries while we're still initializing the system.

### Constructor Summary

Constructors
Constructor and Description
`SetupQueryRunner()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Tuple` `run(QueryExecutor executor, String queryString, boolean wantResults)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SetupQueryRunner

    public SetupQueryRunner()

### Method Detail

#### run

    public static Tuple run(QueryExecutor executor,
                            String queryString,
                            boolean wantResults)
                     throws SQLException

Throws:
  `SQLException`